Skip to main content

Capture


Use this information to process a capture on attended or unattended parking devices.

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

The {id} is the transaction ID returned in the authorization response.

Example

{  "clientReferenceInformation": {    "code": "test123",    "comments": "Parking Capture",    "partner": {      "developerId": "prodDeveloperId",      "thirdPartyCertificationNumber": "prodTPCN",      "solutionId": "prodSolutionId"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "30.00",      "currency": "USD"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/captures/7720607252186978303813/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/captures/7720607252186978303813"    }  },  "clientReferenceInformation": {    "comments": "Parking Capture",    "code": "test123",    "partner": {      "developerId": "prodDeveloperId",      "solutionId": "prodSolutionId"    }  },  "id": "7720607252186978303813",  "orderInformation": {    "amountDetails": {      "totalAmount": "30.00",      "currency": "USD"    }  },  "reconciliationId": "7720606726016948703813",  "status": "PENDING",  "submitTimeUtc": "2026-02-25T23:05:25Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Parking Capture.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
pointOfSaleInformation.emv.tagsThis field is required for contact entry mode only.

Last published: September 29, 2026